Subject: Re: bug#72917: ffmpeg@{3,4,5} build failures on i686-linux

From: André Batista <[email-masked]>
Date: Wed, 11 Sep 2024 17:10:49 -0300

Hi,

qui 05 set 2024 às 20:47:39 (1725580059), [email-masked] enviou:
> 
> qui 05 set 2024 às 09:25:36 (1725539136), [email-masked] enviou:
> > 
> > As it turns out, while all 3 variants built fine for i686 on a machine
> > of mine, there are test failures at ci.guix:
> > 
> > From <https://ci.guix.gnu.org/build/5613329/details>:
> > 
> > [...]
> > 
> > And from <https://ci.guix.gnu.org/build/5613330/details>:
> > 
> > --8<---------------cut here---------------start------------->8---
> > --- ./tests/ref/lavf/fits	1970-01-01 00:00:01.000000000 +0000
> > +++ tests/data/fate/lavf-fits	2024-09-04 17:57:17.900035764 +0000
> > @@ -1,9 +1,9 @@
> >  ed9fd697d0d782df6201f6a2db184552 *./tests/data/lavf/graylavf.fits
> >  5328000 ./tests/data/lavf/graylavf.fits
> > -./tests/data/lavf/graylavf.fits CRC=0xbacf446c
> > +./tests/data/lavf/graylavf.fits CRC=0xeb450e41
> >  48e6caf6a59e32f9a8a39979c9183a7f *./tests/data/lavf/gray16belavf.fits
> >  10368000 ./tests/data/lavf/gray16belavf.fits
> > -./tests/data/lavf/gray16belavf.fits CRC=0xae2b58d4
> > +./tests/data/lavf/gray16belavf.fits CRC=0xcc6d0df7
> >  be2f7112fd193c9a909304c81e662769 *./tests/data/lavf/gbrplavf.fits
> >  15408000 ./tests/data/lavf/gbrplavf.fits
> >  ./tests/data/lavf/gbrplavf.fits CRC=0x04ed3828
> > TEST    filter-pixdesc-yuv422p
> > TEST    filter-pixdesc-yuv444p
> > Test lavf-fits failed. Look at tests/data/fate/lavf-fits.err for details.
> > make: *** [tests/Makefile:226: fate-lavf-fits] Error 1
> > make: *** Waiting for unfinished jobs....
> > 
> > Are you seeing this?  Does the Internet have something to say about
> > these?
> 
> No I did not see this here, all tests passed. I've tried searching
> ffmpeg bug tracker and commit logs but nothing useful came up.
> 
> Is it possible to see that 'tests/data/fate/lavf-fits.err' file on
> CI somehow? I don't actually expect it to be of much help though.
> 
> I also see errors on ffmpeg-3, as Dariqq mentioned, but looking at
> the build history on CI it had also appeared on
> <https://ci.guix.gnu.org/build/5382581/log/raw> which was before
> the core-updates merge, so it seems unrelated.
> 

Sorry, I think my previous message was a bit confusing. What I meant to
say was that ffmpeg-5 had build fine here, but ffmpeg-3 didn't and I did
hit the same error as above shown on CI.

Since then, CI has successfully built ffmpeg-5[1]. So I'm guessing its
test failure was transient, even though this latest success originated
from a commit[2] which was afterwards reverted[3].

However, ffmpeg-3 is still failing[4] with that same lavf.fits error,
even on that same commit. I've dabbed here increasing the verbosity to
debug level, but I still don't have any clue as to what is triggering
this failure.

I'll report this upstream and see if ffmpeg devs can help us out here.
Otherwise, as a last resource, we could disable that test and live with
a slightly broken ffmpeg-3.

1. <https://ci.guix.gnu.org/build/5617581/details>

2. <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=36e30a33e8c67d15ccfae6e4a4289c193f0759ad>

3. <https://git.savannah.gnu.org/cgit/guix.git/commit/?id=c4a2b99f7d06ef5676d4148410a3b734c286f7cb>

4. <https://ci.guix.gnu.org/build/5617551/details>